AttributeOverride (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class AttributeOverride

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.AttributeOverride

    public class AttributeOverride

extends Object

Contains the information about a single `AttributeOverride`. Instances of this class are creating during annotation processing and then applied onto the persistence attributes.

Constructor Summary
`AttributeOverride(org.jboss.jandex.AnnotationInstance attributeOverrideAnnotation)`
`AttributeOverride(String prefix, org.jboss.jandex.AnnotationInstance attributeOverrideAnnotation)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAttributePath()`
`ColumnValues` | `getColumnValues()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeOverride

    public AttributeOverride(org.jboss.jandex.AnnotationInstance attributeOverrideAnnotation)

### AttributeOverride

    public AttributeOverride(String prefix,
                             org.jboss.jandex.AnnotationInstance attributeOverrideAnnotation)

Method Detail

### getColumnValues

    public ColumnValues getColumnValues()

### getAttributePath

    public String getAttributePath()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.